[ooo-build-commit] bin/tinbuild
Jan Holesovsky
kendy at kemper.freedesktop.org
Fri Dec 18 16:59:01 PST 2009
bin/tinbuild | 17 ++++++++++-------
1 file changed, 10 insertions(+), 7 deletions(-)
New commits:
commit e254ca1777f0aa3f930d6df09e252c2e27248cd2
Author: Jan Holesovsky <kendy at suse.cz>
Date: Sat Dec 19 01:56:29 2009 +0100
tinbuild: Set the 'From' of the mails to the owner of the box.
* bin/tinbuild: mail -r $OWNER
diff --git a/bin/tinbuild b/bin/tinbuild
index eb5f176..73b9ba1 100755
--- a/bin/tinbuild
+++ b/bin/tinbuild
@@ -48,7 +48,7 @@ reportError ()
grep '\$ \.\/configure' config.log
echo
echo "$*"
- ) | mail -s "$subject" "$to_mail"
+ ) | mail -r "$OWNER" -s "$subject" "$to_mail"
else
echo "$*" 1>&2
if test "$error_kind" = "owner" ; then
@@ -76,12 +76,15 @@ which git > /dev/null 2>&1 || {
exit 1
}
-if test "$SEND_MAIL" -eq 1 -a -z "$OWNER" ; then
- echo "Configured to sending mails, but owner not set - deliberate?"
-fi
-if test -n "$OWNER" -a "$OWNER" = "${OWNER/@/_}" ; then
- echo "The owner address '$OWNER' does not look like an email address."
- exit 1
+if test "$SEND_MAIL" -eq 1 ; then
+ if test -z "$OWNER" ; then
+ echo "Owner not set."
+ exit 1
+ fi
+ if test "$OWNER" = "${OWNER/@/_}" ; then
+ echo "The owner address '$OWNER' does not look like an email address."
+ exit 1
+ fi
fi
# for build.pl
More information about the ooo-build-commit
mailing list